<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <TargetFramework>net8.0-windows8.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <UseWPF>true</UseWPF>
    <PlatformTarget>x64</PlatformTarget>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <Optimize>True</Optimize>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
    <Optimize>True</Optimize>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="ObjetosSim\ucBasicExample.xaml.cs" />
    <Compile Remove="ObjetosSim\ucTransporteCurva.xaml.cs" />
    <Compile Remove="Simulacion\FPhysics.cs" />
    <Compile Remove="Simulacion\GeometrySimulator.cs" />
  </ItemGroup>

  <ItemGroup>
    <None Remove="app2.png" />
    <None Remove="CtrEditorE.png" />
    <None Remove="Icons\allselect.png" />
    <None Remove="Icons\analyze.png" />
    <None Remove="Icons\app.256x256.ico" />
    <None Remove="Icons\app.png" />
    <None Remove="Icons\app2.128x128.ico" />
    <None Remove="Icons\app2.256x256.ico" />
    <None Remove="Icons\app2.png" />
    <None Remove="Icons\borrar.png" />
    <None Remove="Icons\choose.png" />
    <None Remove="Icons\connect.png" />
    <None Remove="Icons\CtrEditorA.png" />
    <None Remove="Icons\CtrEditorC.png" />
    <None Remove="Icons\CtrEditorE.png" />
    <None Remove="Icons\disconnect.png" />
    <None Remove="Icons\duplicate.png" />
    <None Remove="Icons\extract.png" />
    <None Remove="Icons\fotocelula.png" />
    <None Remove="Icons\match.png" />
    <None Remove="Icons\ocr.png" />
    <None Remove="Icons\rotation.cur" />
    <None Remove="Icons\rotation32x32.cur" />
    <None Remove="Icons\rotationRx.cur" />
    <None Remove="Icons\rotationSx.cur" />
    <None Remove="Icons\save.png" />
    <None Remove="Icons\start.png" />
    <None Remove="Icons\stop.png" />
    <None Remove="Icons\unselect.png" />
    <None Remove="imagenes\filler.png" />
    <None Remove="imagenes\gear.png" />
    <None Remove="imagenes\motorNegro.png" />
    <None Remove="imagenes\motorVerde.png" />
    <None Remove="Images\base.png" />
    <None Remove="motor2.png" />
    <None Remove="tank.png" />
    <None Remove="IA\appsettings.json" />
  </ItemGroup>

  <ItemGroup>
    <Page Remove="ObjetosSim\ucBasicExample.xaml" />
    <Page Remove="ObjetosSim\ucTransporteCurva.xaml" />
  </ItemGroup>

  <ItemGroup>
    <None Include="ObjetosSim\ucBasicExample.xaml" />
    <None Include="ObjetosSim\ucBasicExample.xaml.cs" />
    <None Include="Simulacion\FPhysics.cs" />
    <None Include="Simulacion\GeometrySimulator.cs" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Aether.Physics2D" Version="2.2.0" />
    <PackageReference Include="ClosedXML" Version="0.105.0-rc" />
    <PackageReference Include="CommunityToolkit.Mvvm" Version="8.4.0" />
    <PackageReference Include="Emgu.CV" Version="4.9.0.5494" />
    <PackageReference Include="Emgu.CV.runtime.windows" Version="4.9.0.5494" />
    <PackageReference Include="Emgu.CV.UI" Version="4.9.0.5494" />
    <PackageReference Include="Extended.Wpf.Toolkit" Version="4.7.25104.5739" />
    <PackageReference Include="LanguageDetection" Version="1.2.0" />
    <PackageReference Include="LiveChartsCore.SkiaSharpView.WPF" Version="2.0.0-rc4.5" />
    <PackageReference Include="Microsoft.Xaml.Behaviors.Wpf" Version="1.1.135" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
    <PackageReference Include="Ookii.Dialogs.Wpf" Version="5.0.1" />
    <PackageReference Include="PaddleOCRSharp" Version="4.5.0.1" />
    <PackageReference Include="Tesseract" Version="5.2.0" />
    <PackageReference Include="Tesseract.Drawing" Version="5.2.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Libraries\LibS7Adv\LibS7Adv.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Reference Include="Siemens.Simatic.Simulation.Runtime.Api.x64">
      <HintPath>C:\Program Files (x86)\Common Files\Siemens\PLCSIMADV\API\6.0\Siemens.Simatic.Simulation.Runtime.Api.x64.dll</HintPath>
      <Private>True</Private>
    </Reference>
  </ItemGroup>

  <ItemGroup>
    <Resource Include="app2.png" />
    <Resource Include="CtrEditorE.png" />
    <Resource Include="Icons\allselect.png" />
    <Resource Include="Icons\analyze.png" />
    <Resource Include="Icons\app.png" />
    <Resource Include="Icons\app2.png" />
    <Resource Include="Icons\borrar.png" />
    <Resource Include="Icons\choose.png" />
    <Resource Include="Icons\connect.png" />
    <Resource Include="Icons\CtrEditorA.png" />
    <Resource Include="Icons\CtrEditorC.png" />
    <Resource Include="Icons\CtrEditorE.png" />
    <Resource Include="Icons\disconnect.png" />
    <Resource Include="Icons\duplicate.png" />
    <Resource Include="Icons\extract.png">
      <CopyToOutputDirectory></CopyToOutputDirectory>
    </Resource>
    <Resource Include="Icons\fotocelula.png" />
    <Resource Include="Icons\match.png" />
    <Resource Include="Icons\ocr.png" />
    <Resource Include="Icons\rotationRx.cur" />
    <Resource Include="Icons\rotationSx.cur" />
    <Resource Include="Icons\save.png" />
    <Resource Include="Icons\start.png" />
    <Resource Include="Icons\stop.png" />
    <Resource Include="Icons\unselect.png" />
    <Resource Include="imagenes\filler.png" />
    <Resource Include="imagenes\gear.png" />
    <Resource Include="imagenes\motorNegro.png" />
    <Resource Include="imagenes\motorVerde.png" />
    <Resource Include="imagenes\tank.png" />
    <EmbeddedResource Include="Images\base.png" />
  </ItemGroup>

  <ItemGroup>
    <Compile Update="Properties\Settings.Designer.cs">
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
    </Compile>
  </ItemGroup>

  <ItemGroup>
    <None Update="IA\appsettings.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
    <None Update="Tesseract\eng.traineddata">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="Tesseract\ita.traineddata">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="Tesseract\spa.traineddata">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
  </ItemGroup>

  <ItemGroup>
    <Content Include="IA\appsettings.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
  </ItemGroup>

  <ItemGroup>
    <Folder Include="ObjetosSim\Fluids\" />
    <Folder Include="paddleocr\cls\inference\" />
    <Folder Include="paddleocr\det\inference\" />
    <Folder Include="paddleocr\keys\" />
    <Folder Include="paddleocr\rec\inference\" />
  </ItemGroup>

</Project>
